local Aloft = Aloft
if not Aloft or not Aloft:GetModule("AliasData", true) then return  end
if not AloftLocale or not AloftLocale.AloftAliasData then return end

-----------------------------------------------------------------------------

local AloftAliasData = Aloft:GetModule("AliasData")

local L = AloftLocale.AloftAliasData

-----------------------------------------------------------------------------

Aloft.Options.args.data.args.alias =
{
	type = "execute",
	width = 'full',
	name = L["Reset Aliases"],
	desc = L["Empties the alias database"],
	disabled = function(i) return not Aloft:IsEnabled() or not AloftAliasData:IsEnabled() end,
	func = function(i) AloftAliasData:ClearAllData() end,
	confirm = function(i) return L["You are about to empty your alias database.\nThis action cannot be undone. Proceed?"] end,
}

-----------------------------------------------------------------------------
